/* specifics for style-deepnight */
:root {
  --deepnight-gradient-nightsky: linear-gradient(180deg,
    hsla(0, 0%, 0%, 0.8) 0%,
    hsla(280, 30%, 5%, 0.9) 10%,
    hsla(256, 60%, 10%, 1) 40%,
    hsla(224, 60%, 10%, 1) 70%,
    hsla(347, 70%, 10%, 0.9) 80%,
    hsla(32, 80%, 20%, 0.8) 100%);

  --deepnight-gradient-hash: repeating-linear-gradient(90deg,
    hsla(0, 0%, 00%, 1) 0px,
    hsla(0, 0%, 30%, 1) 3px,
    hsla(0, 0%, 15%, 0.9) 6px 8px,
    hsla(0, 0%, 30%, 0.9) 10px 12px,
    hsla(0, 0%, 20%, 1) 15px,
    hsla(0, 0%, 5%, 1) 20px
    );

  --deepnight-background: var(--deepnight-gradient-nightsky), var(--deepnight-gradient-hash);

  --deepnight-background-attributes: hsla(232, 60%, 50%, 0.75);
  --deepnight-background-secondary-attributes: hsla(232, 80%, 30%, 0.75);
  --deepnight-background-item: hsla(303, 80%, 10%, 0.5);
  --deepnight-background-weapon: hsla(0, 80%, 10%, 0.1);
  --deepnight-background-item-img:hsla(232, 30%, 20%, 0.5);
  --deepnight-background-positive: hsla(180, 50%, 30%, 0.5);
  --deepnight-background-negative: hsla(300, 50%, 30%, 0.5);

  --deepnight-background-lighter: hsla(0, 0%, 100%, 0.2);
  
  --deepnight-background-tooltip: hsla(207, 40%, 70%, 1);
  --deepnight-background-button: var(--deepnight-background-attributes);
  --deepnight-background-weapon: hsla(0, 0%, 80%, 0.3);
  
  --deepnight-tint-weapon-odd: hsla(256, 30%, 30%, 0.6);
  --deepnight-tint-weapon-even: hsla(220, 10%, 38%, 0.3);
  --deepnight-tint-weapon-hover: hsla(200, 15%, 60%, 0.3);
  --deepnight-tint-npc: hsla(90, 29%, 70%, 0.15);
  --deepnight-tint-hover: hsla(51, 100%, 50%, 1);

  --deepnight-color-highlight: hsla(220, 100%, 100%, 1);
  --deepnight-color-font: hsla(220, 90%, 80%, 0.9);
  --deepnight-color-button: hsl(200, 70%, 80%, 0.9);
  --deepnight-color-border:hsla(194, 40%, 70%, 0.7);
  --deepnight-color-attribute: var(--deepnight-color-button);
  --deepnight-color-button-border: hsla(0, 70%, 30%, 0.5);
  --deepnight-color-border-light: hsla(0, 0%, 100%, 0.3);
  
  --deepnight-color-dice-prowess: hsla(47, 60%, 40%, 1);
  --deepnight-color-dice-glitch: hsla(300, 80%, 20%, 1);
  --deepnight-color-controls:  hsla(192, 50%, 50%, 0.5);
  --deepnight-color-text-hyperlink: hsla(47, 90%, 50%, 0.5);
  --deepnight-shadow-section: inset 0px 8px 8px -4px var(--deepnight-color-border);
  --deepnight-shadow-attribute: 4px -4px 4px -2px var(--deepnight-color-border);
  --deepnight-shadow-anarchy-button: 3px -3px 4px -3px var(--deepnight-color-button-button);
  --deepnight-shadow-items-group: var(--deepnight-shadow-attribute);

  --deepnight-color-resource-checked: hsla(39, 70%, 70%, 0.9);
  --deepnight-color-monitor-checked: hsla(9, 100%, 50%, 0.9);
  --deepnight-color-unchecked: hsla(39, 99%, 30%, 0.5);
}


#gm-manager.style-deepnight {
  background: var(--deepnight-background);
  color: var(--deepnight-color-font);
}
#gm-manager.style-deepnight header {
  border-bottom: 1px solid var(--deepnight-color-border-light);
  color: var(--deepnight-color-font);
}
#gm-manager.style-deepnight label {
  color: var(--deepnight-color-font);
}

#gm-manager.style-deepnight a:hover,
#gm-manager.style-deepnight a:hover label ,
.style-deepnight :is(.anarchy-button, a.item-control, .attribute-box, .a.click-checkbar-element, a):hover ,
.style-deepnight :is(.anarchy-button, a.item-control, .attribute-box, .a.click-checkbar-element, a):hover :is(i, label, a, img),
.style-deepnight .anarchy-item :is(a:hover, a.item-controls:hover i, a:hover label) {
  color: var(--deepnight-color-highlight);
  text-shadow: 0 0 4px var(--deepnight-tint-hover);
}


.style-deepnight .window-content {
  background: var(--deepnight-background);
  /* background: var(--deepnight-gradient-nightsky), var(--deepnight-gradient-hash); */
  color: var(--deepnight-color-font);
}

.style-deepnight .window-content form.npc-sheet {
  background: var(--deepnight-tint-npc);
}

.style-deepnight .vehicle-sheet .passport-img img{
  background-color: var(--deepnight-background-item-img);
}
.style-deepnight .device-sheet .passport-img img{
  background-color: var(--deepnight-background-item-img);
}


.style-deepnight .section-group {
  border-top: 1px solid var(--deepnight-color-border);
  box-shadow: var(--deepnight-shadow-section);  
}
.style-deepnight .section-group h2{
  border-bottom: none;
}

.style-deepnight .attribute-box {
  border: 1px solid var(--deepnight-color-border-light);
}

.style-deepnight .window-content .attribute-box,
.style-deepnight .window-content .attribute-box :is(input, select, label, button) {
  color: var(--deepnight-color-attribute);
}

.style-deepnight .attribute-box {
  background: var(--deepnight-background-attributes);
}
.style-deepnight .attribute-box.secondary-attribute {
  background: var(--deepnight-background-secondary-attributes);
}

.style-deepnight .attribute-box input {
  background: var(--deepnight-background-lighter);
}

.style-deepnight .wordlist {
  border: 1px solid var(--deepnight-color-border-light);
}

.style-deepnight .wordlist:is(.anarchy-keywords, .anarchy-dispositions, .anarchy-cues) input {
  background: var(--deepnight-background-item);
  border-style: none;
}

.style-deepnight div:is(.anarchy-keywords, .anarchy-dispositions, .anarchy-cues) {
  border: none;
  background-color: var(--transparent);
}


.style-deepnight .items-group div.item {
  background: var(--deepnight-background-item);
  border: 1px solid var(--deepnight-color-border-light);
}


/* Weapons lists */
.style-deepnight .weapon-list .weapon-header{
  background: var(--deepnight-background-weapon);
}
.style-deepnight .weapon-list .item:nth-child(even) {
  background: var(--deepnight-tint-weapon-even);
}
.style-deepnight .weapon-list .item:nth-child(odd) {
  background: var(--deepnight-tint-weapon-odd);
}
.style-deepnight .weapon-list .item:hover {
  background: var(--deepnight-tint-weapon-hover);
}


.style-deepnight :is(div,li).item.anarchy-item img {
  background: var(--deepnight-background-item-img);
}
.style-deepnight .item.anarchy-quality.negative {
  background: var(--deepnight-background-negative);
}
.style-deepnight .item.anarchy-quality.positive {
  background: var(--deepnight-background-positive);
}

.style-deepnight :is(input, select, label, button) {
  color: var(--deepnight-color-font);
}
.style-deepnight .window-content select option{
  background: var(--deepnight-background);
  color: var(--deepnight-color-font);
}

.style-deepnight .anarchy-button {
  background: var(--deepnight-background-button);
  color: var(--deepnight-color-button);
  border: 2px outset var(--deepnight-color-button-border);
}
.style-deepnight a.anarchy-button,
.style-deepnight .anarchy-button label {
  color: var(--deepnight-color-button);
}

.style-deepnight .anarchy-button:active {
  border: 1px inset var(--deepnight-color-button-border);
  position: relative;
  top: -1px;
  left: -1px;
}

.style-deepnight .tooltip .tooltip-roll-modifiers {
  background: var(--deepnight-background-tooltip);
}

.style-deepnight a.item-control i,
.style-deepnight a.item-control img {
  font-size: small;
  color: var(--deepnight-color-controls);
}

.style-deepnight div.checkbar-root[data-monitor-code='edge'] a.click-checkbar-element[data-checked=true] i {
  color: var(--deepnight-color-resource-checked);
}
.style-deepnight a.click-checkbar-element[data-checked=true] i {
  color: var(--deepnight-color-monitor-checked);
}
.style-deepnight a.click-checkbar-element[data-checked=false] i {
  color: var(--deepnight-color-unchecked);
}

